package com.logicbig.example;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;

@Entity
public class MyEntity2 {

    @Id
    private long myId;

    @Enumerated(EnumType.STRING)
    private MyEnum myEnum;

    public MyEntity2() {
    }

    public MyEntity2(long myId, MyEnum myEnum) {
        this.myId = myId;
        this.myEnum = myEnum;
    }

    @Override
    public String toString() {
        return "MyEntity2{" +
                "myId=" + myId +
                ", myEnum=" + myEnum +
                '}';
    }
}